Groove Outliner Tool

The Groove Outliner tool is an open-ended, brainstorming tool that allow workspace members to build structured, hierarchical lists. For example, you might quickly list all your ideas on a topic, but then create a framework for these ideas by moving them up or down in the list, or by indenting or outdenting them in relation to each other.

An outline could focus on any topic area, such as an agenda for a business trip, the table of contents for a book, or the storyboard for a presentation.

What do you want to do?

  • Add rows

  • Select rows

  • Edit rows

  • Manage rows

  • Create links to rows

  • Collapse or expand outline sections

  • Change Outliner permissions

  • See keyboard shortcuts

© 2006 Microsoft Corporation. All rights reserved.


Adding rows

Press Enter or Insert to add a new row below the current row. If you're editing the current row, pressing Enter or Insert completes that row and adds the new row.

The placement of a new row depends on the indentation levels of the selected row and the next existing row (if any):

  • If the next row is indented below the selected row, the new row gets added at the same indent level as the next row.

  • If the next row is at the same level as the current row, the new row gets inserted at the same indent level as the current row.

If you want to insert a new row at the same level as the selected row, but the next row is indented below the selected row, first collapse all "child" rows below the selected row, then insert the new row. For example:

To add a new row at the same level within a hierarchy... | ...collapse the outline at the selected row... | ...then add the new row.

Groove Outliner Tool Contents


Selecting rows

To select a single row, click to the left of the row, or click anywhere in the row, then press F2. A highlight displays on the row when it's selected.

To select two or more consecutive rows, use Shift-Click or press Shift- [image] / [image].

To select two or more nonconsecutive rows, use Ctrl-Click.

To select all rows, select Edit - Select All Rows or press Ctrl-A.

To deselect all rows, select Edit - Deselect All Rows.


Editing rows

Edit rows in the Outliner as follows:

  • Click in any row to edit it.

  • Right-click while editing a row to see formatting options. You can also select formatting options from the Format menu.

  • To switch between Edit and Read mode for a selected row, press F2. You can also accept the changes to a row you're editing by clicking in the outline to the left of the row.

  • Press Enter or Insert while editing in a row to accept the entry and add a new row below the current row. See Adding rows for information on how added rows get placed within the outline.

  • Press Shift - Enter while editing in a cell to insert a soft line break within the cell. Type text in the new line in the row and press F2 to accept the changes.

  • Press Esc to cancel changes you've made in a cell.


Copying or moving rows

Copying or moving rows using the clipboard

You can copy or move selected rows. Note that if you want to copy or move a row together with its child rows, you must highlight all rows (parent and children) in your selection.

To cut or copy rows:

  1. Select the rows you want to copy or move.

  2. Click Edit - Copy or Cut.

  3. Select the row in the outline before which you want to insert the copied row(s).

  4. Click Edit - Paste.

Note: You cannot paste rows after a selected row. If you want to move a row below the last row in the outline, you must paste it before the last row, and then click the Move Row Down icon in the toolbar.


Moving rows up or down

Moving rows up or down sequentially

To move a row up or down sequentially in the outline, select it and click the Move Row Up or Move Row Down button in the toolbar.

Note the following details about this action:

  • You can move rows up and down only if the outline is using its natural sort order. Click the column headers to change the sort order.

  • The Move Row Up and Move Row Down toolbar buttons are enabled only if there's a "legal" location within the hierarchical structure of the outline for moving rows up or down.

    To move a selected row up, there must be at least one preceding row at the same indent level. Likewise, to move a selected row down, there must be at least one succeeding row at the same indent level.


Indenting or outdenting rows

You can set up hierarchical relationships among rows by indenting or outdenting them.

To indent or outdent a row, select it and click the Indent Row or Outdent Row button in the toolbar.

Note the following details about this action:

  • You can move rows up and down only if the outline is using its natural sort order. Click the column headers to change the sort order.

  • The Indent Row and Outdent Row toolbar buttons are enabled only if there's a "legal" location within the hierarchical structure of the outline for indenting or outdenting the selected row.

    To indent a row, there must be at least one preceding row at the same outline level. To outdent a row, there must be at least one preceding row at a higher (outdented) outline level.


Sorting rows

The default sort order for rows in the Outliner is "natural," meaning the order in which members of the workspace intentionally ordered rows.

You can sort by any column in the Outliner by clicking its column header. An arrow appears in the column to indicate its sort order (ascending or descending).

If you switch to an alternative sort order (ascending or descending), the Outliner sorts separately at each indent level. The table below lists the alternative sort orders for each column.

Column | Alternative sort order
Title | Alphanumeric, ascending
Modified | Time created, descending
Author | Alphanumeric, ascending


Importing rows

There are two ways to import rows. You can:

  • Import rows saved as an XML file from the Outliner tool

  • Import rows from a text (.txt) file

Importing rows saved as an XML file

  1. Select the row in the Outliner after which you want the imported file to place rows.

  2. Click Files - Import XML File....

  3. In the Import Record(s) from File... dialog box, select the file and click Open.

    The rows get inserted into the outline.

Importing rows from a text file

You can create new rows by importing from a standard ASCII text file. New rows get created below the selected row, one row for each paragraph in the text file (that is, every carriage return in the text file results in a new row).

  1. Select the row in the Outliner after which you want to create new rows from a text file.

  2. Click Files - Import Text File....

  3. In the Open dialog box, select a the file, then click Open.

    The rows get inserted into the outline.


Exporting rows

There are two ways to export rows. You can:

  • Export rows as an XML file. This method provides an alternative to using the clipboard for copying rows to another Outliner tool.

  • Export rows as text. This method saves Outliner content as simple text that can be opened in any text editor.

Exporting rows as an XML file

  1. Select one or more rows in the Outliner.

  2. Click Files - Export Rows As Binary XML....

  3. In the Export Record(s) to File... dialog box, select a disk location to save the exported rows and click Save.

    The exported file can now be imported into an Outliner tool.

Exporting rows as a text file

  1. Select one or more rows in the Outliner.

  2. Click Files - Export Rows as Text....

  3. In the Export Record(s) to File... dialog box, select a disk location to save the exported rows and click Save.


Deleting rows

To delete a row, select it and press Delete. Deleting a row also deletes all rows indented immediately below the selected record.


Creating links to rows

As with other workspace tools, you can create a link that selects the tool. In addition, you can create a link that selects a row. By default, the link uses the row title and its author name in the link text.

To create a link to a row:

  1. Select the row you want to be the target for the link.

  2. Click Edit - Copy Row As Link.

  3. Select the tool in which you want to paste the link.

  4. Right-click the rich-text location where you want to paste the link, and select Paste.


Collapsing or expanding outline sections

You can collapse or expand outline sections by double-clicking the minus or plus signs to the left of the rows. Double-clicking a row's minus or plus sign collapses or expands all hierarchical levels below it in the outline.

You can also collapse or expand rows by selecting a row with a minus or plus sign to the left of it and clicking Collapse Row or Expand Row icons in the toolbar.

To collapse or expand all rows, select View - Collapse All or View Expand All, respectively.


Changing permissions

By default, all members except for Guests have permission to edit rows in the Outliner tool.

See Change permissions for workspace tools for information on modifying the default permissions for a tool.


Using the keyboard to do Outliner tasks

Standard Windows keyboard shortcuts (for example, for cut, copy, paste, and delete) apply for the Outliner for writing or editing the row text. The table below lists additional keyboard shortcuts for the Outliner.

To | Press
Select all rows | Ctrl+A
Copy row as link | Ctrl+H
Mark selected row read | Ctrl+F4
Mark all rows read | Ctrl+Shift+F4
Expand row | Num (+)
Collapse row | Num (-)
Expand the outline 1 through 9 levels | Ctrl-1 through Ctrl-9
Go to the next entry | F8
Go to the previous entry | Shift+F8
Go to next unread entry | F4
Go to previous unread entry | Shift+F4
Add a new row | Enter or Insert
Toggle Edit/Read mode for a selected row | F2
Indent row | Tab
Outdent row | Shift+Tab
Move row up | Ctrl+<
Move row down | Ctrl+>
Expand a collapsed section | Plus (+)
Collapse a section | Minus (-)
Expand All | Shift+Plus (+)
Collapse All | Shift+Minus (-)
Select the first topic/last row in the list | Home/End
Select the next/previous row in the list | /
Display the next/previous "screenful" of rows in the list | PgDn/PgUp